﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using bbiwarg.Utility;
using bbiwarg.Detectors.Fingers;
using bbiwarg.Detectors.Palm;

namespace bbiwarg.Detectors.Touch
{
    class PalmTouchEvent : TouchEvent
    {
        public Vector2D RelativePalmPosition { get; private set; }

        public PalmTouchEvent(Vector2D absolutePosition, Vector2D relativePalmPosition, float floodValue, Finger finger)
            : base(absolutePosition, floodValue, finger)
        {
            RelativePalmPosition = relativePalmPosition;
        }
    }
}
